Summary:     Error code library for GnuPG related software
Name:        libgpg-error
Version:     1.0
Release:     2.pp
License:     LGPL
Group:       System Environment/Libraries
Source0:     ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.gz
URL:         http://www.gnupg.org/related_software/%{name}/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel gettext libtool
ExclusiveOS: linux

%description
Libgpg-error is a small library that defines common error values
for all GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-
Agent, libgcrypt, Libksba, DirMngr, Pinentry, SmartCard Daemon
and possibly more in the future.


%package devel
Summary:     Development files for %{name}
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%description devel
This package contains the header files, libraries, and documentation
for building programs which use %{name}.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man \
	--enable-shared         \
	--enable-static
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING* ChangeLog INSTALL NEWS
%doc README VERSION
/usr/bin/gpg-error
/usr/lib/*.so.*
/usr/share/locale/*

%files devel
%defattr(-, root, root)
/usr/bin/gpg-error-config
/usr/include/*
/usr/lib/*.*a
/usr/lib/*.so
/usr/share/aclocal/*


%changelog
* Thu Oct 21 2004 peter.pramberger@member.fsf.org
- created

